import { forwardRef, PropsWithChildren } from 'react'

export const TooltipChild = forwardRef<HTMLSpanElement, PropsWithChildren>(
  ({ children, ...rest }, ref) => {
    return (
      <span ref={ref} {...rest}>
        {children}
      </span>
    )
  }
)
